## mx4j.server.interceptor
Interface MBeanServerInterceptorConfiguratorMBean

All Known Implementing Classes:
  MBeanServerInterceptorConfigurator

public interface MBeanServerInterceptorConfiguratorMBean

Management interface for the MBeanServerInterceptorConfigurator MBean.

Version:
  $Revision: 1.6 $

Method Summary
`void` `addInterceptor(MBeanServerInterceptor interceptor)` Appends the given interceptor, provided by the client, to the existing interceptor chain.
`void` `clearInterceptors()` Removes all the interceptors added via `addInterceptor(MBeanServerInterceptor interceptor)`.
`boolean` `isRunning()` Returns whether this configurator is running and thus if the MBeanServer can accept incoming calls
`void` `registerInterceptor(MBeanServerInterceptor interceptor, javax.management.ObjectName name)` Appends the given interceptor, provided by the client, to the existing interceptor chain and registers it as MBean.
`void` `start()` Starts this configurator, so that the MBeanServer is now able to accept incoming calls.
`void` `stop()` Stops this configurator, so that the MBeanServer is not able to accept incoming calls.

Method Detail

### addInterceptor

    public void addInterceptor(MBeanServerInterceptor interceptor)

  Appends the given interceptor, provided by the client, to the existing interceptor chain.

  See Also:
    `registerInterceptor(mx4j.server.interceptor.MBeanServerInterceptor, javax.management.ObjectName)`

### registerInterceptor

    public void registerInterceptor(MBeanServerInterceptor interceptor,
                                    javax.management.ObjectName name)
                             throws javax.management.MBeanException

  Appends the given interceptor, provided by the client, to the existing interceptor chain and registers it as MBean.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `addInterceptor(mx4j.server.interceptor.MBeanServerInterceptor)`

### clearInterceptors

    public void clearInterceptors()

  Removes all the interceptors added via `addInterceptor(MBeanServerInterceptor interceptor)`.

  See Also:
    `addInterceptor(mx4j.server.interceptor.MBeanServerInterceptor)`

### start

    public void start()

  Starts this configurator, so that the MBeanServer is now able to accept incoming calls.

  See Also:
    `stop()`, `isRunning()`

### stop

    public void stop()

  Stops this configurator, so that the MBeanServer is not able to accept incoming calls.

  See Also:
    `start()`

### isRunning

    public boolean isRunning()

  Returns whether this configurator is running and thus if the MBeanServer can accept incoming calls

  See Also:
    `start()`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.